<div
  class="flex-row full-height full-width overflow-hidden"
  [sqtmCoreWorkspace]="'test-case-workspace'"
>
  <sqtm-core-nav-bar class="full-height flex-fixed-size"></sqtm-core-nav-bar>
  <div
    class="flex-column full-width full-height neutral-background-color overflow-hidden"
  >
    <sqtm-core-configurable-banner />

    <div class="flex-fixed-size p-10">
      <div class="flex-row full-width">
        <span class="view-label font-16-px">{{
          'sqtm-core.test-case-workspace.modif-during-exec.title' | translate
        }}</span>
      </div>
    </div>
    <div class="flex-row full-height full-width overflow-hidden">
      <sqtm-app-test-case-view-detail
        class="full-width"
        [backUrl]="backUrl() | async"
        [showFoldAndCloseButtons]="false"
      >
        <div
          projection="detail-buttons"
          class="return flex-column"
          (click)="back()"
        >
          <i
            nz-icon
            nzType="sqtm-core-generic:back"
            nzTheme="outline"
            class="current-workspace-button action-icon-size"
            nz-tooltip
            [attr.data-test-element-id]="'back-to-execution'"
            [nzTooltipTitle]="
              'sqtm-core.test-case-workspace.modif-during-exec.return-to-exec'
                | translate
            "
          ></i>
        </div>
      </sqtm-app-test-case-view-detail>
    </div>
  </div>
</div>
